MachineAccountSubtypesApi
Use this API to get, update, and delete machine account subtype for sources.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-source-subtype-v1 | POST /source-subtypes/v1 | Create subtype |
| delete-machine-account-subtype-v1 | DELETE /source-subtypes/v1/{subtypeId} | Delete subtype by ID |
| get-machine-account-subtype-approval-config-v1 | GET /source-subtypes/v1/{subtypeId}/machine-config | Machine Subtype Approval Config |
| get-source-subtype-by-id-v1 | GET /source-subtypes/v1/{subtypeId} | Get subtype by ID |
| list-source-subtypes-v1 | GET /source-subtypes/v1 | Retrieve all subtypes |
| load-bulk-source-subtypes-v1 | POST /source-subtypes/v1/bulk-retrieve | Bulk Retrieve of Source Subtypes |
| patch-machine-account-subtype-v1 | PATCH /source-subtypes/v1/{subtypeId} | Patch subtype by ID |
| update-machine-account-subtype-approval-config-v1 | PATCH /source-subtypes/v1/{subtypeId}/machine-config | Machine Subtype Approval Config |
create-source-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Create subtype Create a new machine account subtype.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| createSourceSubtypeV1Request | CreateSourceSubtypeV1Request | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourcesubtypewithsource
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { CreateSourceSubtypeV1Request } from 'sailpoint-api-client/dist/machine_account_subtypes/api';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const createSourceSubtypeV1Request: CreateSourceSubtypeV1Request = {"sourceId":"6d0458373bec4b4b80460992b76016da","technicalName":"foo","displayName":"Mr Foo","description":"fighters","type":"MACHINE"}; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.createSourceSubtypeV1({ createSourceSubtypeV1Request: createSourceSubtypeV1Request });
console.log(result);
delete-machine-account-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Delete subtype by ID Delete a machine account subtype by subtype ID.
Note: If subtype has approval settings or entitlement for machine account creation enablement then it'll be also deleted.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
(empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const subtypeId: string = 6d28b7c1-620c-49c6-b6d5-cbf81eb4b5fa; // The ID of the subtype.
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.deleteMachineAccountSubtypeV1({ subtypeId: subtypeId });
console.log(result);
get-machine-account-subtype-approval-config-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Machine Subtype Approval Config This endpoint retrieves the approval configuration for machine account creation and deletion at the machine subtype level. By providing a specific subtypeId in the path, clients can fetch the approval rules and settings (such as required approvers and comments policy) that govern account creation and deletion for that particular machine subtype. The response includes a MachineAccountSubtypeConfigDto object detailing these configurations, enabling clients to understand or display the approval workflow required for creating and deleting machine accounts of the given subtype. Use this endpoint to get machine subtype level approval config for account creation and deletion.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| subtypeId | string | machine subtype id. | [default to undefined] |
Return type
Machineaccountsubtypeconfigdto
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API.
const subtypeId: string = ef38f94347e94562b5bb8424a56498d8; // machine subtype id.
const result = await apiInstance.getMachineAccountSubtypeApprovalConfigV1({ xSailPointExperimental: xSailPointExperimental, subtypeId: subtypeId });
console.log(result);
get-source-subtype-by-id-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get subtype by ID Get a machine account subtype by subtype ID.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourcesubtypewithsource
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const subtypeId: string = 6d28b7c1-620c-49c6-b6d5-cbf81eb4b5fa; // The ID of the subtype.
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getSourceSubtypeByIdV1({ subtypeId: subtypeId });
console.log(result);
list-source-subtypes-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Retrieve all subtypes Get all machine account subtypes.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: id: eq, in, sw displayName: eq, sw technicalName: eq, sw source.id: eq, in | [optional] [default to undefined] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: displayName, technicalName | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
Return type
Array<Sourcesubtypewithsource>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const filters: string = displayName eq "sail"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **id**: *eq, in, sw* **displayName**: *eq, sw* **technicalName**: *eq, sw* **source.id**: *eq, in* (optional)
const sorters: string = displayName; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **displayName, technicalName** (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const result = await apiInstance.listSourceSubtypesV1({ });
console.log(result);
load-bulk-source-subtypes-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Bulk Retrieve of Source Subtypes This endpoint retrieves the subtypes for given subtypeIds.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| requestBody | Array<string> |
Return type
Array<Sourcesubtypewithsource>
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API.
const requestBody: Array<string> = ; //
const result = await apiInstance.loadBulkSourceSubtypesV1({ xSailPointExperimental: xSailPointExperimental, requestBody: requestBody });
console.log(result);
patch-machine-account-subtype-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Patch subtype by ID
Update fields of a machine account subtype by subtype ID.
Patchable fields only include: displayName, description.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| subtypeId | string | The ID of the subtype. | [default to undefined] |
| requestBody | Array<object> | A JSON of updated values JSON Patch standard. | |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Sourcesubtypewithsource
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const subtypeId: string = 6d28b7c1-620c-49c6-b6d5-cbf81eb4b5fa; // The ID of the subtype.
const requestBody: Array<object> = [{"op":"replace","path":"/displayName","value":"Test New DisplayName"}]; // A JSON of updated values [JSON Patch](https://tools.ietf.org/html/rfc6902) standard.
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.patchMachineAccountSubtypeV1({ subtypeId: subtypeId, requestBody: requestBody });
console.log(result);
update-machine-account-subtype-approval-config-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Machine Subtype Approval Config Updates the approval configuration for machine account deletion at the specified machine subtype level. This endpoint allows clients to modify approval rules and settings (such as required approvers and comments policy) for account creation and deletion workflows associated with a given subtypeId. Use this to customize or enforce approval requirements for creating and deleting machine accounts of a particular subtype.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [default to 'true'] |
| subtypeId | string | machine account subtype ID. | [default to undefined] |
| jsonpatchoperation | Array<Jsonpatchoperation> | The JSONPatch payload used to update the object. |
Return type
Machineaccountsubtypeconfigdto
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
import { MachineAccountSubtypesApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Jsonpatchoperation } from 'sailpoint-api-client/dist/machine_account_subtypes/api';
const configuration = new Configuration();
const apiInstance = new MachineAccountSubtypesApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API.
const subtypeId: string = 00eebcf881994e419d72e757fd30dc0e; // machine account subtype ID.
const jsonpatchoperation: Array<Jsonpatchoperation> = ; // The JSONPatch payload used to update the object.
const result = await apiInstance.updateMachineAccountSubtypeApprovalConfigV1({ xSailPointExperimental: xSailPointExperimental, subtypeId: subtypeId, jsonpatchoperation: jsonpatchoperation });
console.log(result);